For the complete documentation index, see llms.txt. This page is also available as Markdown.

List available stock for a store

Lists warehouses with available stock that the specified store has access to.

The list will only contain warehouses that the store has "VIEW" access to.

get
/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
productUidstringRequired

Reference to a Product.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageNumberintegerOptional

Reference to a specific page in a result set.

pageSizeintegerOptional

The number of items per page in a result set.

sortBystringOptional

Defines which field the resource list is sorted by.

sortDirectionstring · enumOptional
ENUMDescription
ASCSort in ascending order
DESCSort in descending order
Possible values:
warehouseUidstringOptional

Filter by warehouse uid

Responses
200

Example response

string · binaryOptional
get/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid}
GET /v2/tenants/{tenantUid}/stores/{storeUid}/stock/{productUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

binary

Last updated

Was this helpful?